using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace UNGDUNG
{
    public partial class frmInput : Form
    {
        public frmInput()
        {
            InitializeComponent();
        }
        
        private void button2_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void frmInput_Load(object sender, EventArgs e)
        {
            
        }

        private void button1_Click(object sender, EventArgs e)
        {
            #region Erorr?:       
            if (textBox1.Text != "")
            {
                clsStatic.strInput = (textBox1.Text != "") ? textBox1.Text : "testing";
                this.Close();
            }
             #endregion
            
        }

        private void textBox1_Validated(object sender, EventArgs e)
        {
            if (textBox1.Text != "")
            {
                errorProvider1.SetError(this.textBox1, "");
            }
            else
            {

                errorProvider1.SetError(this.textBox1,
                    "Name is required.");
            }
        }
    }
}